Plesk\backup\Agent\Schema\Backup\DnsZoneType:
    properties:
        email:
            expose: true
            access_type: public_method
            serialized_name: email
            accessor:
                getter: getEmail
                setter: setEmail
            xml_attribute: true
            type: string
        type:
            expose: true
            access_type: public_method
            serialized_name: type
            accessor:
                getter: getType
                setter: setType
            xml_attribute: true
            type: string
        serialFormat:
            expose: true
            access_type: public_method
            serialized_name: serial-format
            accessor:
                getter: getSerialFormat
                setter: setSerialFormat
            xml_attribute: true
            type: string
        syncWithParent:
            expose: true
            access_type: public_method
            serialized_name: sync-with-parent
            accessor:
                getter: getSyncWithParent
                setter: setSyncWithParent
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        rnameType:
            expose: true
            access_type: public_method
            serialized_name: rnameType
            accessor:
                getter: getRnameType
                setter: setRnameType
            xml_attribute: true
            type: string
        mname:
            expose: true
            access_type: public_method
            serialized_name: mname
            accessor:
                getter: getMname
                setter: setMname
            xml_attribute: true
            type: string
        status:
            expose: true
            access_type: public_method
            serialized_name: status
            xml_element:
                cdata: false
            accessor:
                getter: getStatus
                setter: setStatus
            type: Plesk\backup\Agent\Schema\Backup\Status
        dnsZoneParam:
            expose: true
            access_type: public_method
            serialized_name: dns-zone-param
            xml_element:
                cdata: false
            accessor:
                getter: getDnsZoneParam
                setter: setDnsZoneParam
            xml_list:
                inline: true
                entry_name: dns-zone-param
            type: array<Plesk\backup\Agent\Schema\Backup\DnsZoneParam>
        dnsrec:
            expose: true
            access_type: public_method
            serialized_name: dnsrec
            xml_element:
                cdata: false
            accessor:
                getter: getDnsrec
                setter: setDnsrec
            xml_list:
                inline: true
                entry_name: dnsrec
            type: array<Plesk\backup\Agent\Schema\Backup\Dnsrec>
